package models

import "testing"

func TestTagAlias_TableName(t *testing.T) {
	tagAlias := TagAlias{}
	expectedTableName := "TagAlias"
	if tableName := tagAlias.TableName(); tableName != expectedTableName {
		t.Fatalf("expected %s, but got %s", expectedTableName, tableName)
	}
}

func TestTagGroup_TableName(t *testing.T) {
	tagGroup := TagGroup{}
	expectedTableName := "TagGroup"
	if tableName := tagGroup.TableName(); tableName != expectedTableName {
		t.Fatalf("expected %s, but got %s", expectedTableName, tableName)
	}
}

func TestTags_TableName(t *testing.T) {
	tag := Tag{}
	expectedTableName := "Tag"
	if tableName := tag.TableName(); tableName != expectedTableName {
		t.Fatalf("expected %s, but got %s", expectedTableName, tableName)
	}
}
