package models

type PostReference struct {
	PostID   string `json:"post_id" gorm:"primaryKey"`
	SourceID string `json:"source_id" gorm:"primaryKey"`
	URL      string `json:"url" gorm:"primaryKey"`
	PostReferenceConfig
}

type PostReferenceConfig struct {
	SourcePostID   string `json:"source_post_id"`
	FullFileURL    string `json:"full_file_url"`
	PreviewFileURL string `json:"preview_file_url"`
	SampleFileURL  string `json:"sample_file_url"`
}

func (PostReference) TableName() string {
	return "PostReference"
}
