package models

// User model
type User struct {
	BaseModel[UserID]
	Favorites []UserFavorite `json:"-" gorm:"foreignKey:UserID"`
	Sources   []UserSource   `json:"-" gorm:"foreignKey:UserID"`
}

func (User) TableName() string {
	return "User"
}
