package models

type UserFavorite struct {
	BaseModel[UserFavoriteID]
	UserID       UserID       `json:"user_id"`
	PostID       PostID       `json:"post_id"`
	UserSourceID UserSourceID `json:"user_source_id"`
	UserSource   UserSource   `json:"-" gorm:"foreignKey:ID;references:UserSourceID"`
}

func (UserFavorite) TableName() string {
	return "UserFavorites"
}
